Download Worth 360 Report
curl --request POST \
--url https://api.joinworth.com/report/api/v1/reports/{reportID}/download \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.joinworth.com/report/api/v1/reports/{reportID}/download"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.joinworth.com/report/api/v1/reports/{reportID}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Report is not ready to download",
"data": {
"id": "06cf2b4b-51fc-4e7f-8f60-e2c2ab161f23",
"report_type_id": 1,
"status": "REQUESTED",
"log": null,
"created_at": "2025-04-10T10:41:50.398Z",
"created_by": "fe879c59-f9e4-4796-9a63-38927541f0d7",
"updated_at": "2025-04-10T10:41:50.398Z",
"triggered_by": "CUSTOMER",
"triggered_id": "815f078a-2bc7-4fa9-84cb-b4e0c62a504f",
"file_path": null,
"report_type": {
"core_report_types": {
"id": 1,
"code": "business_report",
"label": "Business Report"
}
},
"pdf_url": null
}
}Worth 360 Report
Download Worth 360 Report
POST
/
reports
/
{reportID}
/
download
Download Worth 360 Report
Was this page helpful?
⌘I